<script lang="ts" setup>
import { useRouter } from 'vue-router';
import {projects2d, projects3d} from "../data/ProjectStore"

const router = useRouter();

const switchToProject = (key: string) => {
    router.push({path: "/projects/"+key})
}
</script>

<template>
<QPage padding class>

<div class="row justify-center">
    <div class="col-12 col-md-8 col-lg-5 ">
        <h4 class="q-mb-sm">Shaderprogrammierung Abgabe</h4>
        <p class="text-grey">Waldemar Lehner, Sommersemester 2022</p>
        <hr/>
        <div class="text-h6">2D Projekte</div>
        <QList separator>
            <QItem v-for="entry in projects2d" clickable v-ripple @click="switchToProject(entry.id)" >
                <QItemSection>
                    <QItemLabel>{{entry.name}}</QItemLabel>
                    <QItemLabel caption>{{entry.description}}</QItemLabel>
                </QItemSection>
            </QItem>
        </QList>
        <div class="text-h6 q-mt-xl"> 3D Projekte</div>
        <QList separator>
            <QItem v-for="entry in projects3d" clickable v-ripple @click="switchToProject(entry.id)" >
                <QItemSection>
                    <QItemLabel>{{entry.name}}</QItemLabel>
                    <QItemLabel caption>{{entry.description}}</QItemLabel>
                </QItemSection>
            </QItem>
        </QList>
    </div>
</div>



</QPage>

</template>

<style lang="scss" scoped>
.projectCard {
    scale: 1;
    cursor: pointer;
    transition: all .2s;
    &:hover {
        scale: 1.05;
    }
}
</style>
